org.jbpm.services.task.audit.commands

## Class GetAuditEventsByProcessInstanceIdCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<List<org.kie.internal.task.api.model.TaskEvent>>
  - - org.jbpm.services.task.audit.commands.GetAuditEventsByProcessInstanceIdCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<List<org.kie.internal.task.api.model.TaskEvent>>, org.kie.api.command.Command<List<org.kie.internal.task.api.model.TaskEvent>>, org.kie.internal.command.ProcessInstanceIdCommand

      public class GetAuditEventsByProcessInstanceIdCommand
      extends TaskCommand<List<org.kie.internal.task.api.model.TaskEvent>>
      implements org.kie.internal.command.ProcessInstanceIdCommand

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetAuditEventsByProcessInstanceIdCommand()`
    `GetAuditEventsByProcessInstanceIdCommand(long processInstanceId, org.kie.internal.query.QueryFilter filter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.internal.task.api.model.TaskEvent>` | `execute(org.kie.api.runtime.Context context)`
    `org.kie.internal.query.QueryFilter` | `getFilter()`
    `Long` | `getProcessInstanceId()`
    `void` | `setFilter(org.kie.internal.query.QueryFilter filter)`
    `void` | `setProcessInstanceId(Long processInstanceId)`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Constructor Detail

    - #### GetAuditEventsByProcessInstanceIdCommand

          public GetAuditEventsByProcessInstanceIdCommand()

    - #### GetAuditEventsByProcessInstanceIdCommand

          public GetAuditEventsByProcessInstanceIdCommand(long processInstanceId,
                                                          org.kie.internal.query.QueryFilter filter)

  - ### Method Detail

    - #### getFilter

          public org.kie.internal.query.QueryFilter getFilter()

    - #### setFilter

          public void setFilter(org.kie.internal.query.QueryFilter filter)

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### setProcessInstanceId

          public void setProcessInstanceId(Long processInstanceId)

      Specified by:
        `setProcessInstanceId` in interface `org.kie.internal.command.ProcessInstanceIdCommand`

    - #### execute

          public List<org.kie.internal.task.api.model.TaskEvent> execute(org.kie.api.runtime.Context context)

      Specified by:
        `execute` in interface `org.drools.core.command.impl.ExecutableCommand<List<org.kie.internal.task.api.model.TaskEvent>>`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.